Package org.opensaml.security.credential

# Class CredentialContextSet

java.lang.Object
java.util.AbstractCollection<E>
java.util.AbstractSet<T>
net.shibboleth.shared.collection.ClassIndexedSet<CredentialContext>
org.opensaml.security.credential.CredentialContextSet

All Implemented Interfaces:
  `Iterable<CredentialContext>`, `Collection<CredentialContext>`, `Set<CredentialContext>`

public class CredentialContextSet extends ClassIndexedSet<CredentialContext>
This class holds instances of `CredentialContext` which represent information about the context in which a `CredentialResolver` has resolved a `Credential`.

## Nested Class Summary

## Nested classes/interfaces inherited from class net.shibboleth.shared.collection.ClassIndexedSet

`ClassIndexedSet.ClassIndexedSetIterator`

## Constructor Summary

Constructors
Constructor
Description
`CredentialContextSet()`

## Method Summary

### Methods inherited from class net.shibboleth.shared.collection.ClassIndexedSet

`add, add, clear, contains, equals, get, getIndexClass, hashCode, iterator, remove, size, toString`

### Methods inherited from class java.util.AbstractSet

`removeAll`

### Methods inherited from class java.util.AbstractCollection

`addAll, contains, containsAll, isEmpty, retainAll, toArray, toArray`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Collection

`parallelStream, removeIf, stream, toArray`

### Methods inherited from interface java.lang.Iterable

`forEach`

### Methods inherited from interface java.util.Set

`addAll, contains, containsAll, isEmpty, removeAll, retainAll, spliterator, toArray, toArray`

## Constructor Details

### CredentialContextSet

public CredentialContextSet()